#! /bin/sh -x

# this is a script that will change all of the sample data's internal
# see-also references to the host/port of your server

# usage: $0 oldhost oldport yourhost yourport 
# it should be run from the sample.data directory (or whatever root
# directory; it just wants a "data" subdirectory)


OLD_VAL=$1:$2:rwhois
NEW_VAL=$3:$4:rwhois

list=`find data -name "*.txt" -print`


for f in $list; do
	mv $f $f.bak
	sed -e "s/$OLD_VAL/$NEW_VAL/" < $f.bak > $f
	rm $f.bak
done
