#! /bin/sh -x
#
# chroot.sh -    setup the rwhois root directory, copy needed files to 
#                their corresponding directories.
# Note: 	 it's only tested under SUNOS 4.14
# 		 dev0 ??
#
# Change the default file protection mask (optional)
#
#umask 022

RWHOIS_ROOT_DIR=$1
COPY="cp"

# check if these directories exist
if test ! -d ${RWHOIS_ROOT_DIR}/etc 
then
	echo "make directory  ${RWHOIS_ROOT_DIR}/etc".
	mkdir ${RWHOIS_ROOT_DIR}/etc
fi

if test ! -d $RWHOIS_ROOT_DIR/bin 
then
	echo "make directory  ${RWHOIS_ROOT_DIR}/bin".
	mkdir $RWHOIS_ROOT_DIR/bin
fi

if test ! -d $RWHOIS_ROOT_DIR/tmp 
then
	echo "make directory  ${RWHOIS_ROOT_DIR}/tmp".
	mkdir $RWHOIS_ROOT_DIR/tmp
fi

if test ! -d $RWHOIS_ROOT_DIR/usr
then
	echo "make directory  ${RWHOIS_ROOT_DIR}/usr"
	mkdir $RWHOIS_ROOT_DIR/usr
	mkdir $RWHOIS_ROOT_DIR/usr/lib
elif  test ! -d $RWHOIS_ROOT_DIR/usr/lib 
then
	echo "make directory  ${RWHOIS_ROOT_DIR}/usr/lib"
        mkdir $RWHOIS_ROOT_DIR/usr/lib
fi

#copy /etc/resolv.conf to (rwhois_root)/etc
	$COPY /etc/resolv.conf ${RWHOIS_ROOT_DIR}/etc

#copy /usr/lib/files to (rwhois_root)/usr/lib
	$COPY /usr/lib/ld.so /usr/lib/libnsl.so.1 /usr/lib/libsocket.so.1 /usr/lib/libc.so.1 /usr/lib/libdl.so.1 /usr/lib/libintl.so.1 /usr/lib/libmp.so.1 /usr/lib/libw.so.1 /usr/lib/libmapmalloc.so.1 $RWHOIS_ROOT_DIR/usr/lib

#copy /usr/bin/execut. to (rwhois_root)/bin
	$COPY /usr/bin/sh /usr/bin/sort $RWHOIS_ROOT_DIR/bin

echo "done"
